Last Comment Bug 761483 - Google Map Maker editing broken in 20120531 Nightly
: Google Map Maker editing broken in 20120531 Nightly
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 761572
Blocks: 758179
  Show dependency treegraph
 
Reported: 2012-06-04 19:36 PDT by Logan Rosen [:Logan]
Modified: 2012-08-21 06:17 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified


Attachments

Description Logan Rosen [:Logan] 2012-06-04 19:36:16 PDT
This is probably in the completely wrong Product/Component, but here goes:

Google Map Maker (http://www.google.com/mapmaker) lets you edit roads, places, etc., and yet editing broke in the 20120531 nightly of Firefox, which I determined with mozregression. Here is the pushlog: http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=65fa5cb6f79c&tochange=3aa566994890

STR:
1. Open up Google Map Maker
2. Log in (if not already)
3. Zoom in all the way on the map, near roads
4. Use the Edit menu, and then select Select a Line
5. Select a road with your mouse
6. Click one of the red road bubbles, and then click "Edit" in the white tooltip that appears
7. Click "Edit this segment"

Expected output:
Options open up in the sidebar, allowing you to change attributes of the segment. This happens in 20120530.

Actual output:
Nothing happens when you click "Edit this segment."
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-05 11:28:41 PDT
Local bisection points to bug 758179 as having caused this, specifically:

The first bad revision is:
changeset:   95176:e10eadfc8734
user:        Robert O'Callahan <robert@ocallahan.org>
date:        Wed May 30 01:13:36 2012 +1200
summary:     Bug 758179. Part 1: Flush layout before calling nsFrame::HandlePress/HandleRelease. r=mats
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-05 11:29:46 PDT
Bug 758179 got uplifted to Aurora, we'll want to track this there.
Comment 3 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-06-08 04:40:58 PDT
Should have been fixed by 761572.
Comment 4 Logan Rosen [:Logan] 2012-06-08 15:45:46 PDT
Yep, working for me now in the latest 20120608 respin. Thanks for the fix!
Comment 5 Paul Silaghi, QA [:pauly] 2012-08-21 06:17:16 PDT
Able to see the issue on Nightly 2012-06-01.
Verified fixed on FF 15b5 on Win 7 x64, Ubuntu 12.04 and Mac OS X 10.7.4.

Note You need to log in before you can comment on or make changes to this bug.